INSERT INTO Customer (customerid, registrationDate, firstName, lastName, email, pass, customer_role, phone, address, membershipLevel) VALUES
(1, '2023-01-10', 'John', 'Doe', 'john.doe@email.com', 'password123', 'premium', '1234567890', '123 Main St', 2),
(2, '2023-02-15', 'Jane', 'Smith', 'jane.smith@email.com', 'password456', 'gold', '0987654321', '456 Elm St', 3),
(3, '2023-03-20', 'Alice', 'Johnson', 'alice.j@email.com', 'password789', 'standard', '5678901234', '789 Pine St', 1),
(4, '2023-04-10', 'Bob', 'Brown', 'bob.brown@email.com', 'password321', 'platinum', '2345678901', '234 Oak St', 4),
(5, '2023-05-25', 'Eve', 'Davis', 'eve.davis@email.com', 'password654', 'gold', '3456789012', '567 Birch St', 3);

INSERT INTO Restaurant (restaurantid, restaurantName, address, cuisineType, phone, operatingHours, website, deposit, socialMediaLinks, rating) VALUES
(1, 'Gourmet Palace', '123 Food St', 'Italian', '123-456-7890', '9 AM - 9 PM', 'www.gourmetpalace.com', 50.0, 'facebook.com/gourmetpalace', 4.5),
(2, 'Ocean Breeze', '456 Ocean Ave', 'Seafood', '987-654-3210', '11 AM - 10 PM', 'www.oceanbreeze.com', 75.0, 'instagram.com/oceanbreeze', 4.7),
(3, 'Spice Delight', '789 Curry St', 'Indian', '456-789-0123', '10 AM - 10 PM', 'www.spicedelight.com', 30.0, 'twitter.com/spicedelight', 4.3),
(4, 'Sushi World', '101 Sushi Rd', 'Japanese', '321-654-0987', '11 AM - 11 PM', 'www.sushiworld.com', 60.0, 'instagram.com/sushiworld', 4.8),
(5, 'BBQ Heaven', '202 Grill Ave', 'Barbecue', '654-321-4321', '12 PM - 10 PM', 'www.bbqheaven.com', 40.0, 'facebook.com/bbqheaven', 4.6);

INSERT INTO Menu (menuId, restaurantId, category) VALUES
(1, 1, 'Main Course'),
(2, 2, 'Seafood Specialties'),
(3, 3, 'Spicy Dishes'),
(4, 4, 'Sushi Rolls'),
(5, 5, 'BBQ Combos');

INSERT INTO Item (itemId, menuId, itemName, price, description, dietaryInformation) VALUES
(1, 1, 'Spaghetti Carbonara', 12.99, 'Classic Italian pasta', 'Contains dairy'),
(2, 1, 'Grilled Salmon', 18.99, 'Fresh grilled salmon', 'Gluten-free'),
(3, 1, 'Chicken Tikka Masala', 15.99, 'Spicy chicken curry', 'Contains nuts'),
(4, 1, 'California Roll', 10.99, 'Crab and avocado roll', 'Contains shellfish'),
(5, 1, 'BBQ Ribs', 22.99, 'Smoked pork ribs', 'Contains gluten');

INSERT INTO Restaurant_Table (tableid, restaurantId, capacity, table_location, isSmokingArea, description) VALUES
(1, 1, 4, 'Window Side', false, 'Cozy table near window'),
(2, 1, 6, 'Patio', true, 'Outdoor seating'),
(3, 2, 2, 'Corner Booth', false, 'Private booth'),
(4, 1, 8, 'Center Hall', false, 'Spacious central seating'),
(5, 1, 10, 'VIP Lounge', false, 'Exclusive seating area');

INSERT into Reservation(reservationid, customerid, restaurantid, tableid, paymentstatus, partysize, reservationdatetime, specialrequests, status, checkintime, checkouttime, totalprice) 
VALUES
(1, 1, 1, 1, false, 4, '2024-12-26', 'no', 'reserved', '2024-12-26 08:00:00', '2024-12-26 12:00:00', 0),
(2, 1, 2, 3, false, 2, '2024-12-24', 'no', 'pending', '2024-12-25 08:00:00', '2024-12-25 17:00:00', 0),
(3, 2, 3, 2, false, 1, '2024-12-20', 'no', 'pending', '2024-12-28 08:00:00', '2024-12-28 17:00:00', 0),
(4, 3, 1, 1, false, 2, '2024-12-11', 'no', 'canceled', '2024-12-31 19:00:00', '2024-12-31 22:00:00', 0);

INSERT into item_reservation_junction(reservationid, itemid) VALUES
(1, 1),
(1, 2),
(2, 2),
(3, 1);